Page MenuHomePhabricator

White list request: www.doria.fi by National Library of Finland
Closed, ResolvedPublic

Description

Doria is a multi-institutional repository maintained by National Library of Finland. We have built a work flow for uploading materials from www.doria.fi through they OAI-interface and we are now ready to start uploads.

It would be great if www.doria.fi could be added to the GWToolset whitelist domains.
Here is an example URL:
www.doria.fi/bitstream/10024/91983/1/1201003271_1.jpg

There is a map hackathon coming in February: http://wikilovesmaps.wikimedia.fi/hackathon/
In ideal case materials would be uploaded before that event so that participants could use them.

best regards,
Ari
WMFI

Event Timeline

Artturimatias raised the priority of this task from to Normal.
Artturimatias updated the task description. (Show Details)
Artturimatias added a subscriber: Artturimatias.
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 17 2015, 5:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
gerritbot added a subscriber: gerritbot.

Change 187914 had a related patch set uploaded (by Glaisher):
Add www.doria.fi to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/187914

Patch-For-Review

Change 187914 merged by jenkins-bot:
Add www.doria.fi to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/187914

hashar closed this task as Resolved.Feb 2 2015, 10:21 AM
hashar claimed this task.
hashar added a subscriber: hashar.

I have deployed the change on production. Thank you for the patch and happy hackathon!

dan-nl added a subscriber: dan-nl.Feb 2 2015, 10:30 AM

@Artturimatias,

i suggest you try uploading a few maps on commons beta ahead of the hackathon so that any issues you might run into could be addressed as soon as possible.

Thank you all!

I tried with beta but it seems that there is some kind of problem with file fetching:
The file extension could not be determined from the file URL: http://www.doria.fi/bitstream/10024/92051/1/1201003266_1.jpg

Link opens fine in my desktop. Does this mean that the URL is not linking to a real file but some kind of stream instead?

dan-nl added a comment.EditedFeb 4 2015, 6:01 AM

@Artturimatias,
might be good to open a new task for the issue. in any case:

  • i tested the url by running curl -i http://www.doria.fi/bitstream/10024/92051/1/1201003266_1.jpg and got a response that seems like it should work.
    • is the error message you mention the complete error message?
  • can you upload a small sample of the xml file you’re using?
    • and a link to the metadata mapping you created?
  • i don’t see any GWToolset uploads with your username in the beta commons Special Log, so i assume that means that you’re getting the error message as you setup the batch job - correct?